{
  "schema_version": "1.4.0",
  "id": "GHSA-grc2-72xj-8m4q",
  "modified": "2022-05-17T05:25:15Z",
  "published": "2022-05-17T05:25:15Z",
  "aliases": [
    "CVE-2012-4355"
  ],
  "details": "TCPIPS_Story.dll in Sielco Sistemi Winlog Pro SCADA before 2.07.18 and Winlog Lite SCADA before 2.07.18 allows remote attackers to execute arbitrary code via a port-46824 TCP packet with a crafted negative integer after the opcode, triggering incorrect function-pointer processing that can lead to a buffer overflow.  NOTE: some of these details are obtained from third party information.  NOTE: this vulnerability exists because of an incomplete fix for CVE-2012-4354.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-4355"
    },
    {
      "type": "WEB",
      "url": "http://aluigi.org/adv/winlog_2-adv.txt"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49395"
    },
    {
      "type": "WEB",
      "url": "http://www.sielcosistemi.com/en/news/index.html?id=70"
    },
    {
      "type": "WEB",
      "url": "http://www.us-cert.gov/control_systems/pdf/ICSA-12-213-01.pdf"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-08-19T20:55:00Z"
  }
}